diff a/src/java.base/share/native/libjava/Array.c b/src/java.base/share/native/libjava/Array.c
--- a/src/java.base/share/native/libjava/Array.c
+++ b/src/java.base/share/native/libjava/Array.c
@@ -44,12 +44,12 @@
 
 /*
  *
  */
 JNIEXPORT jobject JNICALL
-Java_java_lang_reflect_Array_get(JNIEnv *env, jclass ignore, jobject arr,
-                                 jint index)
+Java_java_lang_reflect_Array_getReferenceOrPrimitive(JNIEnv *env, jclass ignore, jobject arr,
+                                                     jint index)
 {
     return JVM_GetArrayElement(env, arr, index);
 }
 
 JNIEXPORT jboolean JNICALL
@@ -110,12 +110,12 @@
 
 /*
  *
  */
 JNIEXPORT void JNICALL
-Java_java_lang_reflect_Array_set(JNIEnv *env, jclass ignore, jobject arr,
-                                 jint index, jobject val)
+Java_java_lang_reflect_Array_setReferenceOrPrimitive(JNIEnv *env, jclass ignore, jobject arr,
+                                                     jint index, jobject val)
 {
     JVM_SetArrayElement(env, arr, index, val);
 }
 
 JNIEXPORT void JNICALL
